%{?nodejs_find_provides_and_requires}

%global packagename glob-stream

# Tests disabled due to missing npm(mississippi)
%global enable_tests 0

Name:		nodejs-glob-stream
Version:	6.1.0
Release:	1%{?dist}
Summary:	A wrapper around node-glob to make it streamy

License:	MIT
URL:		https://github.com/gulpjs/glob-stream.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(extend)
BuildRequires:	npm(glob)
BuildRequires:	npm(is-negated-glob)
BuildRequires:	npm(micromatch)
BuildRequires:	npm(ordered-read-streams)
BuildRequires:	npm(pumpify)
BuildRequires:	npm(remove-trailing-separator)
BuildRequires:	npm(to-absolute-glob)
BuildRequires:	npm(unique-stream)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(mississippi)
%endif

%description
A wrapper around node-glob to make it streamy


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep glob
%nodejs_fixdep through2

chmod -x LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec -t 5000
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 6.1.0-1
- Update to upstream 6.1.0 release

* Sat Feb 25 2017 Jared Smith <jsmith@fedoraproject.org> - 6.0.0-1
- Update to upstream 6.0.0

* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 5.3.2-1
- Update to upstream 5.3.2 release

* Sat Feb 20 2016 Jared Smith <jsmith@fedoraproject.org> - 5.3.1-1
- Initial packaging
